
set edit_params_for(hexa_domain) {
    { "Low X height"  height 0 }
    { "High X height" height 1 }
    { "Low Y height"  height 2 }
    { "High Y height" height 3 }
    { "Low Z height"  height 4 }
    { "High Z height" height 5 }
    {}
    { "Low X ratio"   ratio  0 }
    { "High X ratio"  ratio  1 }
    { "Low Y ratio"   ratio  2 }
    { "High Y ratio"  ratio  3 }
    { "Low Z ratio"   ratio  4 }
    { "High Z ratio"  ratio  5 }
}

set edit_tetra_params_for(hexa_domain) {
    { "Low X height"  height 0 }
    { "High X height" height 1 }
    { "Low Y height"  height 2 }
    { "High Y height" height 3 }
    { "Low Z height"  height 4 }
    { "High Z height" height 5 }
}

set edit_params_for(hexa) {
    { "X count"       length 0 }
    { "Y count"       length 1 }
    { "Z count"       length 2 }
    {}
    { "Low X height"  height 0 }
    { "High X height" height 1 }
    { "Low Y height"  height 2 }
    { "High Y height" height 3 }
    { "Low Z height"  height 4 }
    { "High Z height" height 5 }
    {}
    { "Low X ratio"   ratio  0 }
    { "High X ratio"  ratio  1 }
    { "Low Y ratio"   ratio  2 }
    { "High Y ratio"  ratio  3 }
    { "Low Z ratio"   ratio  4 }
    { "High Z ratio"  ratio  5 }
    {}
    { "Inward height" height 6 1 }
    { "Inward ratio"  ratio  6 }
}

set edit_tetra_params_for(hexa) {
    { "Low X height"  height 0 }
    { "High X height" height 1 }
    { "Low Y height"  height 2 }
    { "High Y height" height 3 }
    { "Low Z height"  height 4 }
    { "High Z height" height 5 }
}

if $use_grid_grading {
    lappend edit_params_for(hexa) {} \
	{ "Grading height" height 7 1 } \
	{ "Grading ratio"  ratio  7 }
}

set edit_params_for(sphere) {
    { "Curved surface size" height 0 }
    { "Flat (internal) surface size"  height 1 }
}

set edit_tetra_params_for(sphere) {
    { "Curved surface size" height 0 }
    { "Flat (internal) surface size"  height 1 }
}

set edit_params_for(cyl) {
    {"Diameter count"  length 0}
    {"Side count"      length 1}
    {}
    {"Low end height"  height 0}
    {"High end height" height 1}
    {"Side height"     height 2}
    {"Inward height"   height 3 1 }
    {}
    {"Low end ratio"   ratio 0}
    {"High end ratio"  ratio 1}
    {"Side ratio"      ratio 2}
    {"Inward ratio"    ratio 3}
}

set edit_tetra_params_for(cyl) {
    {"Low end height"  height 0}
    {"High end height" height 1}
    {"Side height"     height 2}
}

if $use_grid_grading {
    lappend edit_params_for(cyl) {} \
	{ "Grading height" height 4 1 } \
	{ "Grading ratio"  ratio  4 }
}

set edit_params_for(oval) {
    {"Low end height"  height 0}
    {"High end height" height 1}
    {"Side height"     height 2}
    {}
    {"Low end ratio"   ratio 0}
    {"High end ratio"  ratio 1}
    {"Side ratio"      ratio 2}
}

set edit_tetra_params_for(oval) {
    {"Low end height"  height 0}
    {"High end height" height 1}
    {"Side height"     height 2}
}

set edit_params_for(circ) {
    {"Diameter count"  length 0}
    {}
    {"Low end height"  height 0}
    {"High end height" height 1 1 }
    {"Inward height"   height 2 1 }
    {"Outward height"  height 3 1 }
    {}
    {"Low end ratio"   ratio 0}
    {"High end ratio"  ratio 1}
    {"Inward ratio"    ratio 2}
    {"Outward ratio"   ratio 3}
}

set edit_tetra_params_for(circ) {
    {"Element height"  height 0}
}

set edit_params_for(circ_nohub) {
    {"Diameter count"  length 0}
    {}
    {"Low end height"  height 0}
    {"High end height" height 1 1 }
    {"Inward height"   height 2 1 }
    {}
    {"Low end ratio"   ratio 0}
    {"High end ratio"  ratio 1}
    {"Inward ratio"    ratio 2}
}

set edit_tetra_params_for(circ_nohub) {
    {"Element height"  height 0}
}

set edit_params_for(polygon_thin) {
    {"Element height"  height 0}
}

set edit_tetra_params_for(polygon_thin) {
    {"Element height"  height 0}
}

set edit_params_for(quad_0) {
    {"Y count"         length 0}
    {"Z count"         length 1}
    {}
    {"Low end height"  height 0}
    {"High end height" height 1 1 }
    {"Inward height"   height 2 1 }
    {}
    {"Low end ratio"   ratio 0}
    {"High end ratio"  ratio 1}
    {"Inward ratio"    ratio 2}
}

set edit_params_for(quad_1) {
    {"X count"         length 1}
    {"Z count"         length 0}
    {}
    {"Low end height"  height 0}
    {"High end height" height 1 1 }
    {"Inward height"   height 2 1 }
    {}
    {"Low end ratio"   ratio 0}
    {"High end ratio"  ratio 1}
    {"Inward ratio"    ratio 2}
}

set edit_params_for(quad_2) {
    {"X count"         length 0}
    {"Y count"         length 1}
    {}
    {"Low end height"  height 0}
    {"High end height" height 1 1 }
    {"Inward height"   height 2 1 }
    {}
    {"Low end ratio"   ratio 0}
    {"High end ratio"  ratio 1}
    {"Inward ratio"    ratio 2}
}

set edit_params_for(quad_0_oneside) {
    {"Y count"         length 0}
    {"Z count"         length 1}
    {}
    {"Element height"  height 1}
    {"Inward height"   height 2 1 }
    {}
    {"Element ratio"   ratio 1}
    {"Inward ratio"    ratio 2}
}

set edit_params_for(quad_1_oneside) {
    {"X count"         length 1}
    {"Z count"         length 0}
    {}
    {"Element height"  height 1}
    {"Inward height"   height 2 1}
    {}
    {"Element ratio"   ratio 1}
    {"Inward ratio"    ratio 2}
}

set edit_params_for(quad_2_oneside) {
    {"X count"         length 0}
    {"Y count"         length 1}
    {}
    {"Element height"  height 1}
    {"Inward height"   height 2 1 }
    {}
    {"Element ratio"   ratio 1}
    {"Inward ratio"    ratio 2}
}

set edit_params_for(incline_0) {
    {"X count"         length 0}
    {"Y-Z count"       length 1}
    {}
    {"Low end height"  height 0}
    {"High end height" height 1 1 }
    {}
    {"Low end ratio"   ratio 0}
    {"High end ratio"  ratio 1}
}

set edit_params_for(incline_1) {
    {"Y count"         length 0}
    {"X-Z count"       length 1}
    {}
    {"Low end height"  height 0}
    {"High end height" height 1 1 }
    {}
    {"Low end ratio"   ratio 0}
    {"High end ratio"  ratio 1}
}

set edit_params_for(incline_2) {
    {"Z count"         length 0}
    {"X-Y count"       length 1}
    {}
    {"Low end height"  height 0}
    {"High end height" height 1 1 }
    {}
    {"Low end ratio"   ratio 0}
    {"High end ratio"  ratio 1}
}

foreach s {
    quad_0 quad_1 quad_2
    quad_0_oneside quad_1_oneside quad_2_oneside
    incline_0 incline_1 incline_2
    polygon_thin
} {
    set edit_tetra_params_for($s) { {"Element height"  height 0} }
}

set edit_params_for(incline_0_thick) {
    {"X count"         length 0}
    {"Y-Z count"       length 1}
    {"Thickness count" length 2}
    {}
    {"Low end height"  height 0}
    {"High end height" height 1 1 }
    {}
    {"Low end ratio"   ratio 0}
    {"High end ratio"  ratio 1}
}

set edit_params_for(incline_1_thick) {
    {"Y count"         length 0}
    {"X-Z count"       length 1}
    {"Thickness count" length 2}
    {}
    {"Low end height"  height 0}
    {"High end height" height 1 1 }
    {}
    {"Low end ratio"   ratio 0}
    {"High end ratio"  ratio 1}
}

set edit_params_for(incline_2_thick) {
    {"Z count"         length 0}
    {"X-Y count"       length 1}
    {"Thickness count" length 2}
    {}
    {"Low end height"  height 0}
    {"High end height" height 1 1 }
    {}
    {"Low end ratio"   ratio 0}
    {"High end ratio"  ratio 1}
}

foreach s {
    incline_0_thick incline_1_thick incline_2_thick
} {
    set edit_tetra_params_for($s) {
	{"Low end height"  height 0}
	{"High end height" height 1 1 }
    }
}

set edit_tetra_params_for(cad) {
    {"Tetra size"      height 0}
}

set edit_tetra_params_for(cyl_domain) {
    {"Tetra size"      height 0}
}

set grid_cut_pct_selected 1
